=== modified file 'client/client_priv.h'
--- client/client_priv.h	2008-12-10 20:07:04 +0000
+++ client/client_priv.h	2008-12-12 09:14:53 +0000
@@ -95,5 +95,5 @@
   OPT_DEBUG_INFO, OPT_DEBUG_CHECK, OPT_COLUMN_TYPES, OPT_ERROR_LOG_FILE,
   OPT_WRITE_BINLOG, OPT_DUMP_DATE,
   OPT_MAX_CLIENT_OPTION,
-  OPT_SHOW_PROGRESS
+  OPT_SHOW_PROGRESS_SIZE
 };

=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2008-12-11 19:58:47 +0000
+++ client/drizzle.cc	2008-12-12 19:08:32 +0000
@@ -158,8 +158,8 @@
   default_charset_used= 0, opt_secure_auth= 0,
   default_pager_set= 0, opt_sigint_ignore= 0,
   auto_vertical_output= 0,
-  show_warnings= 0, executing_query= 0, interrupted_query= 0,
-  show_progress= 0;
+  show_warnings= 0, executing_query= 0, interrupted_query= 0;
+static uint32_t  show_progress_size= 0;
 static bool debug_info_flag, debug_check_flag;
 static bool column_types_flag;
 static bool preserve_comments= 0;
@@ -1441,8 +1441,8 @@
   {"show-warnings", OPT_SHOW_WARNINGS, N_("Show warnings after every statement."),
    (char**) &show_warnings, (char**) &show_warnings, 0, GET_BOOL, NO_ARG,
    0, 0, 0, 0, 0, 0},
-  {"show-progress", OPT_SHOW_PROGRESS, N_("Show progress during an import."),
-   (char**) &show_progress, (char**) &show_progress, 0, GET_BOOL, NO_ARG,
+  {"show-progress-size", OPT_SHOW_PROGRESS_SIZE, N_("Number of lines before each import progress report."),
+   (char**) &show_progress_size, (char**) &show_progress_size, 0, GET_ULONG, REQUIRED_ARG,
    0, 0, 0, 0, 0, 0},
   { 0, 0, 0, 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0}
 };
@@ -1697,9 +1697,9 @@
           (unsigned char) line[2] == 0xBF)
         line+= 3;
       line_number++;
-      if (show_progress)
+      if (show_progress_size > 0)
       {
-        if ((line_number % 1000) == 0)
+        if ((line_number % show_progress_size) == 0)
           fprintf(stderr, _("Processing line: %"PRIu32"\n"), line_number);
       }
       if (!glob_buffer->empty())

